from dataclasses import dataclass
from dataclasses_json import LetterCase, config, DataClassJsonMixin
from .Coordinate import Coordinate
from typing import List


@dataclass
class LineSegment(DataClassJsonMixin):
    dataclass_json_config = config(letter_case=LetterCase.PASCAL)["dataclasses_json"]
    start: Coordinate
    end: Coordinate

    @property
    def tuples(self) -> List[(float, float)]:
        return [self.start.tuple, self.end.tuple]