from dataclasses import dataclass, field
from dataclasses_json import LetterCase, config, DataClassJsonMixin
from .Coordinate import Coordinate
from typing import List


@dataclass
class Polyline(DataClassJsonMixin):
    dataclass_json_config = config(letter_case=LetterCase.PASCAL)["dataclasses_json"]
    points: List[Coordinate] = field(default_factory=list[Coordinate])

    @property
    def tuples(self) -> List[(float, float)]:
        return [p.tuple for p in self.points]